## xapi-storage-script 0.1.2

=== Makefile ===
BINDIR?=/tmp/
MANDIR?=/tmp/

.PHONY: install uninstall clean test

all: main.native main.1

main.native: setup.data version.ml main.ml
	ocaml setup.ml -build

setup.data: _oasis
	ocaml setup.ml -configure

version.ml: VERSION
	echo "let version = \"$(shell cat VERSION)\"" > version.ml

main.1: main.native
	./main.native --help=groff > main.1

install: main.native main.1
	install -m 0755 main.native ${BINDIR}/xapi-script-storage
	mkdir -p ${MANDIR}/man1
	install -m 0644 main.1 ${MANDIR}/man1/xapi-script-storage.1

uninstall:
	rm -f ${BINDIR}/xapi-script-storage
	rm -f ${MANDIR}/man1/xapi-script-storage.1

test:
	@echo No tests implemented yet

clean:
	rm -rf _build setup.data main.1 version.ml

=== debian/changelog ===
xapi-storage-script (0.1.2-1) UNRELEASED; urgency=low

  * Write the pidfile properly
  * VDI.epoch_{begin,end} are no-ops

 -- David Scott <dave.scott@citrix.com>  Sun, 19 Oct 2014 12:00:00 +0000

xapi-storage-script (0.1.1-1) UNRELEASED; urgency=low

  * Add the /volume and /datapath subdirectories to the package
  * Fix daemonization
  * Use syslog

 -- David Scott <dave.scott@citrix.com>  Fri, 17 Oct 2014 12:00:00 +0000

xapi-storage-script (0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Thu, 16 Oct 2014 12:00:00 +0000

=== debian/control ===
Source: xapi-storage-script
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 xapi-storage-dev,
 message-switch-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 librpc-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 ocaml-async-inotify-dev,
 ocaml-findlib

Package: xapi-storage-script
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xapi storage script plugin server
 Allows script-based Xapi storage adapters.
